﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.Entity;
using TestWSR4.Models;

namespace TestWSR4.Forms
{
    public partial class ProductFrm : Form
    {
        TestWSR4Entities db = new TestWSR4Entities();
        Models.Product model = new Models.Product();
        public ProductFrm()
        {
            InitializeComponent();
            //typeBox.DataSource = db.ProductType.ToList();
            //typeBox.DisplayMember = "Title";
            //typeBox.ValueMember = "Id";
        }

        private void ProductFrm_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "testWSR4DataSet.ProductsPred". При необходимости она может быть перемещена или удалена.
            this.productsPredTableAdapter.Fill(this.testWSR4DataSet.ProductsPred);
            productsPredBindingSource.Filter = "";
        }

        private void titleBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (typeBox.Text != "Все типы")
                productsPredBindingSource.Filter = "Type='" + typeBox.Text + "'";
            else if (typeBox.Text == "Все типы")
                productsPredBindingSource.Filter = "";
        }

        private void clearBtn_Click(object sender, EventArgs e)
        {
            productsPredBindingSource.Filter = "";
            findRowBox.Text = "";
        }

        private void cekhBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (cekhBox.Text == "По возрастанию")
            {
                productsPredDataGridView.Sort(productsPredDataGridView.Columns[6], ListSortDirection.Ascending);
            }
            else if (cekhBox.Text == "По убыванию")
            {
                productsPredDataGridView.Sort(productsPredDataGridView.Columns[6], ListSortDirection.Descending);
            }
        }

        private void vozrTitleBtn_CheckedChanged(object sender, EventArgs e)
        {
            
        }

        private void sortTitleBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            if(sortTitleBox.Text=="По возрастанию")
            {
                productsPredDataGridView.Sort(productsPredDataGridView.Columns[1], ListSortDirection.Ascending);
            }
            else if(sortTitleBox.Text == "По убыванию")
            {
                productsPredDataGridView.Sort(productsPredDataGridView.Columns[1], ListSortDirection.Descending);
            }
        }

        private void costBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (costBox.Text == "По возрастанию")
            {
                productsPredDataGridView.Sort(productsPredDataGridView.Columns[7], ListSortDirection.Ascending);
            }
            else if (costBox.Text == "По убыванию")
            {
                productsPredDataGridView.Sort(productsPredDataGridView.Columns[7], ListSortDirection.Descending);
            }
        }

        private void backBtn_Click(object sender, EventArgs e)
        {
            MainFrm mainFrm = new MainFrm();
            this.Hide();
            mainFrm.Show();
        }

        private void findBtn_Click(object sender, EventArgs e)
        {
            productsPredBindingSource.Filter = "Title='"+findRowBox.Text+"'";
        }

        private void changeCostBtn_Click(object sender, EventArgs e)
        {

        }
    }
}
